edu.ucsb.nceas.metacat.spatial

## Class XSLTransform

- java.lang.Object
- - edu.ucsb.nceas.metacat.spatial.XSLTransform

-     public class XSLTransform
      extends java.lang.Object

  A Class that transforms XML documents utitlizing XSL style sheets. This is a convenience class that makes it easier to handle the location of stylesheets and the mapping between a request and a particular stylesheet.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTransform()` Private constructor because all methids are static and do not need an instance.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)` the main routine used to test the transform utility.
    `static void` | `transform(java.io.Reader doc, java.lang.String xslSystemId, java.io.PrintWriter pw, java.util.Hashtable param)` Transform an XML document using an XSLT stylesheet to another format, probably HTML or another XML document format.
    `static void` | `transform(java.lang.String docString, java.lang.String xslSystemId, java.io.PrintWriter pw, java.util.Hashtable param)` Transform an XML document using an XSLT stylesheet to another format, probably HTML or another XML document format.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTransform

          public XSLTransform()

      Private constructor because all methids are static and do not need an instance.

  - ### Method Detail

    - #### transform

          public static void transform(java.lang.String docString,
                                       java.lang.String xslSystemId,
                                       java.io.PrintWriter pw,
                                       java.util.Hashtable param)

      Transform an XML document using an XSLT stylesheet to another format, probably HTML or another XML document format.
      Parameters:
        `docString` - the document to be transformed
        `xslSystemId` - the system location of the stylesheet
        `pw` - the PrintWriter to which output is printed
        `params` - some parameters for inclusion to the transformation

    - #### transform

          public static void transform(java.io.Reader doc,
                                       java.lang.String xslSystemId,
                                       java.io.PrintWriter pw,
                                       java.util.Hashtable param)

      Transform an XML document using an XSLT stylesheet to another format, probably HTML or another XML document format.
      Parameters:
        `doc` - the document to be transformed
        `xslSystemId` - the system location of the stylesheet
        `pw` - the PrintWriter to which output is printed
        `params` - some parameters for inclusion to the transformation

    - #### main

          public static void main(java.lang.String[] args)

      the main routine used to test the transform utility. Usage: java DBTransform

Copyright © 2023 Regents of the University of California. All Rights Reserved.